precision highp float;

out vec4 FragColor;

in vec3 v_Pos;
in vec2 v_TexCoord;

uniform int u_Layers;
uniform sampler2D u_FontSampler;

void main() {
    float f = texture2D(u_FontSampler, v_TexCoord).r * 1. / float(u_Layers);
    FragColor = vec4(vec3(232. / 255., 180. / 255., 100. / 255.) * 10., f);
    //FragColor = vec4(1.0);
}
